install unsuccessful on my g1 with 1.5 sdk [fixed]

Common bugs/problems with the Android SDK the Emulator and the ADT-Plugin.

install unsuccessful on my g1 with 1.5 sdk [fixed]

Postby mrsack » Mon May 11, 2009 6:10 pm

After updating to the 1.5 sdk (with build target Android 1.1) I keep getting "install unsuccessful" when I try to install my app on my G1. It worked fine under the 1.1 sdk, and I haven't changed anything with my app . My app installs and runs fine on emulators with either 1.1 or 1.5 but won't work on my actual G1. Any ideas what the problem may be?
Last edited by mrsack on Tue May 12, 2009 4:46 pm, edited 1 time in total.
mrsack
Freshman
Freshman
 
Posts: 9
Joined: Tue Mar 10, 2009 2:06 am

Top

Postby nmc » Mon May 11, 2009 7:57 pm

After updating my G1 to 1.5 I had the same problem when installing my projects via Eclipse;
the error message said something about uninstalling previous version and that was indeed the answer :wink:
nmc
Senior Developer
Senior Developer
 
Posts: 154
Joined: Thu Nov 27, 2008 8:30 pm
Location: Germany

Postby mrsack » Mon May 11, 2009 8:01 pm

Hmmm, well I'm not installing it through Eclipse. I generally copy the apk to my SD card, browse to it in Linda file manager or Astro, and then install it. I have uninstalled the previous version of my app as well.

Oh, and my G1 does not have Android 1.5 on it, it is still running the US T-Mobile rc33.
mrsack
Freshman
Freshman
 
Posts: 9
Joined: Tue Mar 10, 2009 2:06 am

Postby nmc » Mon May 11, 2009 11:05 pm

hm...
did you make any changes to your manifest-file while migrating your projects?
Did you add "<uses-sdk>", "<uses-configuration>" or something like that, which might be unknown by rc33?

After updating eclipse with adt0.9/sdk1.5, installing my projects on my G1 (via eclipse) wasnt a problem at all, neither with sdk 1.1 nor sdk 1.5 on it...
nmc
Senior Developer
Senior Developer
 
Posts: 154
Joined: Thu Nov 27, 2008 8:30 pm
Location: Germany

Postby mrsack » Tue May 12, 2009 7:12 am

I've actually tried variations of the "minsdkversion" in the manifest, including setting it to 1, 2, and not including it at all. None work :(

I'm gonna try to connect my phone to eclipse and install through there and see if I can somehow catch the error message to let me know why it's failing.
mrsack
Freshman
Freshman
 
Posts: 9
Joined: Tue Mar 10, 2009 2:06 am

Postby nmc » Tue May 12, 2009 9:38 am

if installing via eclipse works, then the problem maybe was something as simple as 'Linda/Astro cant install apk with debug key' :wink:

Let us know how you proceed.
nmc
Senior Developer
Senior Developer
 
Posts: 154
Joined: Thu Nov 27, 2008 8:30 pm
Location: Germany

Top

Postby mrsack » Tue May 12, 2009 4:33 pm

OK, I figured it out! After trying to install it on my G1 through Eclipse, I got an error message about keys not matching. Now, I know that you must uninstall the same app before you install with a different key, so I thought this was odd since I had already uninstalled.

I Googled around and found that sometimes a little data somehow remains after an uninstall. So, the fix was to reinstall the app with the last key I used and then uninstall again to try to get it to completely uninstall. After that, everything worked!

Thanks for your help nmc for trying to help me figure this out!
mrsack
Freshman
Freshman
 
Posts: 9
Joined: Tue Mar 10, 2009 2:06 am

Top

Return to SDK/ADT/Emulator Problems

Who is online

Users browsing this forum: No registered users and 4 guests